Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connectorOwnersV2.getUserOwner({
appId: "<id>",
connectorId: "<id>",
roleSlug: "<value>",
userRefId: "<id>",
});
console.log(result);
}
run();{
"connectorOwnerUser": {
"appId": "<string>",
"connectorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"roleSlug": "<string>",
"user": {
"createdAt": "2023-11-07T05:31:56Z",
"delegatedUserId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"department": "<string>",
"departmentSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"directoryIds": [
"<string>"
],
"directoryStatusSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"displayName": "<string>",
"email": "<string>",
"emailSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"emails": [
"<string>"
],
"employeeIdSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"employeeIds": [
"<string>"
],
"employmentStatus": "<string>",
"employmentStatusSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"employmentType": "<string>",
"employmentTypeSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"jobTitle": "<string>",
"jobTitleSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"managerIds": [
"<string>"
],
"managerSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"profile": {},
"roleIds": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"usernameSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"usernames": [
"<string>"
]
}
}
}Connector Owner V2
Get User Owner
GetUserOwner gets a user ownership source for a connector.
GET
/
api
/
v2
/
apps
/
{app_id}
/
connectors
/
{connector_id}
/
owners
/
users
/
{role_slug}
/
{user_ref_id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connectorOwnersV2.getUserOwner({
appId: "<id>",
connectorId: "<id>",
roleSlug: "<value>",
userRefId: "<id>",
});
console.log(result);
}
run();{
"connectorOwnerUser": {
"appId": "<string>",
"connectorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"roleSlug": "<string>",
"user": {
"createdAt": "2023-11-07T05:31:56Z",
"delegatedUserId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"department": "<string>",
"departmentSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"directoryIds": [
"<string>"
],
"directoryStatusSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"displayName": "<string>",
"email": "<string>",
"emailSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"emails": [
"<string>"
],
"employeeIdSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"employeeIds": [
"<string>"
],
"employmentStatus": "<string>",
"employmentStatusSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"employmentType": "<string>",
"employmentTypeSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"jobTitle": "<string>",
"jobTitleSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"managerIds": [
"<string>"
],
"managerSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"profile": {},
"roleIds": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"usernameSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"usernames": [
"<string>"
]
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
The connectorId field.
The roleSlug field.
The id of the user.
Response
200 - application/json
GetConnectorUserOwnerResponse is the response for getting a user ownership source on a connector.
GetConnectorUserOwnerResponse is the response for getting a user ownership source on a connector.
ConnectorOwnerUser represents a user ownership source for a connector.
Show child attributes
Show child attributes
Was this page helpful?
⌘I